Closed Bug 955549 Opened 6 years ago Closed 6 years ago

Yahoo Web Client Causes Endless Typing Notification

Categories

(Chat Core :: Yahoo! Messenger, defect)

defect
Not set

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: qheaden, Assigned: qheaden)

References

Details

Attachments

(1 file)

*** Original post on bio 2111 at 2013-08-16 16:32:00 UTC ***

If you chat with someone who is using the official Yahoo! Messenger web client (contained within Yahoo! Mail), you will get an endless "Typing" notification if the user sends the message right after typing it. This is due to the fact that, after sending the message, the web client does not send out a "typing stopped" packet.

I guess this is done because they expect the other client to recognize that typing has stopped after the message was sent.
Blocks: 955574
*** Original post on bio 2111 at 2013-09-06 05:52:04 UTC ***

I can't seem to find the appropriate code in libpurple, but after testing with it, I see that its behavior is to remove the typing status whenever a message is received. I think that is the best thing to do in this case.
Attached patch Patch 1Splinter Review
*** Original post on bio 2111 as attmnt 2836 at 2013-09-06 06:01:00 UTC ***

It looks like this patch fixes the issue described here.
Attachment #8354606 - Flags: review?(clokep)
Assignee: nobody → qheaden
Status: NEW → ASSIGNED
Comment on attachment 8354606 [details] [diff] [review]
Patch 1

*** Original change on bio 2111 attmnt 2836 at 2013-09-06 10:29:16 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354606 - Flags: review?(clokep) → review+
Whiteboard: [checkin-needed]
*** Original post on bio 2111 at 2013-09-09 23:46:49 UTC ***

attachment 8354606 [details] [diff] [review] (bio-attmnt 2836) broke a test, which I committed a fix for.

http://hg.instantbird.org/instantbird/rev/7fa8c8c68347
http://hg.instantbird.org/instantbird/rev/5028524d29b8
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.5
*** Original post on bio 2111 at 2013-09-09 23:47:40 UTC ***

Resolving.
Status: ASSIGNED → RESOLVED
Closed: 6 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.